%define major   0
%define api     0.1
%define libname %mklibname %{name} %{api} %{major}
%define devname %mklibname %{name} -d

Name:      verbiste
Version:   0.1.40
Release:   %mkrel 1
Summary:   French conjugation system
License:   GPLv2+
URL:       http://sarrazip.com/dev/%{name}.html
Group:     Office/Dictionary
Source:    http://sarrazip.com/dev/%{name}-%{version}.tar.gz
BuildRequires: libxml2-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2-devel

Conflicts:     verbiste-gtk < 0.1.32-1

%description
Verbiste is a French conjugation system. It contains a C++ library, two
programs that can be run from the command line or from another program,
and a GNOME applet. This applet shows a text field in the GNOME Panel
where the user can enter a conjugated verb and obtain its complete
conjugation. The knowledge base is represented in XML and contains over
6800 verbs.

%files
%doc %{_docdir}/%{name}-%{version}/
%{_bindir}/french-*conjugator
%{_datadir}/%{name}-%{api}/
%lang(fr) %{_mandir}/fr/man?/*
%{_mandir}/man?/*

#--------------------------------------------------------------------

%package        gtk
Summary:        Gtk+ interface for %{name}
Group:          Office/Dictionary
Requires:       %{name} >= %{version}-%{release}
Conflicts:      verbiste < 0.1.32-1

%description gtk
Gtk+ interface for %{name}.

%files gtk -f %{name}.lang
%{_bindir}/verbiste
%{_bindir}/verbiste-gtk
%{_datadir}/applications/verbiste.desktop
%{_iconsdir}/hicolor/*/apps/verbiste.*
%{_datadir}/texmf/tex/latex/verbiste/verbiste.cfg
%{_datadir}/texmf/tex/latex/verbiste/verbiste.cls


#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Shared Libraries for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}verbiste1 < 0.1.33-2
Obsoletes:      %{_lib}verbiste0 < 0.1.38-2

%description -n %{libname}
Shared libraries for %{name}.

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

#--------------------------------------------------------------------

%package -n     %{devname}
Summary:        %{name} header files
Group:          Development/GNOME and GTK+
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       lib%{name}%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}verbiste1-devel < 0.1.33-2
Obsoletes:      %{_lib}verbiste0-devel < 0.1.38-2

%description -n %{devname}
This package contains %{name} header files.

%files -n %{devname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x --with-gtk-app --with-gnome-app
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%changelog
* Sun Jan 05 2014 pterjan <pterjan> 0.1.40-1.mga4
+ Revision: 564884
- Update to 0.1.40 and drop dependency on gnome-panel-devel we no longer ship

* Sat Oct 19 2013 umeabot <umeabot> 0.1.38-3.mga4
+ Revision: 532618
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 0.1.38-2.mga4
+ Revision: 468867
- fix lib and devel pkg names
- clean .spec a bit
- clean .spec

* Tue Jul 23 2013 lmenut <lmenut> 0.1.38-1.mga4
+ Revision: 457342
- fix some summaries and descriptions
- update to 0.1.38
- fix rpm group
- clean spec

* Mon Jan 14 2013 umeabot <umeabot> 0.1.35-2.mga3
+ Revision: 385402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 lmenut <lmenut> 0.1.35-1.mga3
+ Revision: 320368
- update to 0.1.35

* Sun Aug 26 2012 lmenut <lmenut> 0.1.34-1.mga3
+ Revision: 284226
- update to 0.1.34

* Sun Apr 15 2012 lmenut <lmenut> 0.1.33-3.mga2
+ Revision: 230870
- Add obsoletes to ensure upgrade from previous libverbiste with wrong major

* Sat Jun 25 2011 dmorgan <dmorgan> 0.1.33-2.mga2
+ Revision: 113341
- Do not build gnome applet
  fix major
  Use macro for major in lib package
  Remove .la file
  Clean spec file
- Rebuild against gnome3

* Wed Apr 13 2011 lmenut <lmenut> 0.1.33-1.mga1
+ Revision: 84756
- update to 0.1.33
- add conflicts forgotten in previous release

* Thu Mar 24 2011 boklm <boklm> 0.1.32-2.mga1
+ Revision: 76218
- rebuild for bug #497

* Sun Mar 20 2011 lmenut <lmenut> 0.1.32-1.mga1
+ Revision: 74992
- fix release
- update to 0.1.32
- clean spec file
  - remove buildroot
  - update Summary, Group, URL and Source
- add cairo-devel in BR


* Sun Jul 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.26-1mdv2010.0
+ Revision: 392611
- Update to new version 0.1.26
- Adapt file list for new LaTeX export function
- Don't run libtool, use %%configure2_5x

* Mon Jun 08 2009 Jerome Martin <jmartin@mandriva.org> 0.1.25-1mdv2010.0
+ Revision: 383925
- version 0.1.25

* Mon Feb 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.24-1mdv2009.1
+ Revision: 338968
- Update to new version 0.1.24
- Fix build with libtool 2.2
- Fix build with -Werror=format-security

* Tue Sep 23 2008 Frederik Himpe <fhimpe@mandriva.org> 0.1.23-1mdv2009.0
+ Revision: 287511
- Fix BuildRequires
- Fix license

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add verbiste as requires on verbiste-gtk
    - Update to 0.1.23

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.21-1mdv2008.1
+ Revision: 97316
- New release 0.1.21


* Tue Feb 06 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.19-2mdv2007.0
+ Revision: 116813
- build with gtk+/gnome support

* Wed Jan 10 2007 Lenny Cartier <lenny@mandriva.com> 0.1.19-1mdv2007.1
+ Revision: 107201
- Update to 0.1.19

* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.17-1mdv2007.1
+ Revision: 89580
- New version 0.1.17
- Fix File List
- Fix BuildRequires

* Tue Aug 22 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.15-1mdv2007.0
+ Revision: 57041
- verbiste-0.1.15-1mdv2007.0
- import verbiste-0.1.15-1mdv2007.0

